Debian Bug report logs - #246948
No error if CD is ejected while integrity is being tested

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Nicolas Bonifas <nicolas.bonifas@free.fr>

Date: Sun, 2 May 2004 13:48:02 UTC

Severity: normal

Tags: d-i

Done: Steve McIntyre <steve@einval.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#246948; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: submit@bugs.debian.org
Subject: Beta 4 installation report (Failed)
Date: Sun, 2 May 2004 15:40:24 +0200
Package: installation-reports

Debian-installer-version: 20040429. Got from 
www.debian.org/devel/debian-installer.
uname -a: [Installation failed]
Date: 2004, May 2nd
Method: 50 Mb boot CD then network install over a NAT
        110 Mb boot CD then network install over a NAT

Machine: IBM Aptiva E32
Processor: Pentium MMX 233 Mhz
Memory: 64 Mb
Root Device: IDE 4 Gb hard drive (QUANTUM BIGFOOT_CY4320A)
Root Size/partition table: [Installation failed]
Output of lspci: 00:00.0 Host bridge: ALi Corporation M1531 [Aladdin IV] (rev 
b3)
00:02.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV] (rev 
07)
00:04.0 VGA compatible controller: ATI Technologies Inc 3D Rage II+ 215GTB 
[Mach64 GTB] (rev 9a)
00:0b.0 IDE interface: ALi Corporation M5229 IDE (rev 20)
00:0f.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL-8139/8139C/8139C+ (rev 10)

Base System Installation Checklist:

Initial boot worked:    [O]
Configure network HW:   [ ]
Config network:         [ ]
Detect CD:              [E]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Create file systems:    [ ]
Mount partitions:       [ ]
Install base system:    [ ]
Install boot loader:    [ ]
Reboot:                 [ ]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Comments/Problems:

Although I downloaded the files 2 times each and burned it on 3 different CDs 
using 2 different CD-burners, the installation always failed while trying to 
load the file libc-udeb.
Here are the MD5 checksums of the files I downloaded:
eb2f763d967286313bd339f781ce664d  sarge-i386-businesscard.iso
52a66d5290a43e17dd0216467962bfc9  sarge-i386-netinst.iso
When checking CD's integrity, it says that the 
file ./dists/sarge/main/binary-i386/Release is corrupted.

Some other minor remarks:
Display is uglier on my computer with the framebuffer than without it.
French translation is very incomplete.
When ejecting CD while testing integrity, it says the CD is ok.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#246948; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 246948@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: 246948@bugs.debian.org
Cc: control@bugs.debian.org, 246948-submitter@bugs.debian.org
Subject: Installation report
Date: Wed, 5 May 2004 21:23:49 +0200
reassign 246948 debian-installer
retitle 246948 No error if CD is ejected while integrity is being tested
thanks

> Here are the MD5 checksums of the files I downloaded:
> eb2f763d967286313bd339f781ce664d  sarge-i386-businesscard.iso
> 52a66d5290a43e17dd0216467962bfc9  sarge-i386-netinst.iso
> When checking CD's integrity, it says that the 
> file ./dists/sarge/main/binary-i386/Release is corrupted.
It's right in complaining, the MD5 sums of 20040429 were:
6248f2d30f37ad0d82bd2622d0b7a7f1  sarge-i386-businesscard.iso
251d25b5b0aaa0d2c4c911e4047053e7  sarge-i386-netinst.iso

Maybe you could download the beta4 installer and verify the MD5 
checksums against those listed in the same directory before burning them 
to CD and file a new installation report?

> Some other minor remarks:
> Display is uglier on my computer with the framebuffer than without it.
That is unfortunate but probably something which you will have to get by 
with, the framebuffer is needed by the installer in order to support all 
the different languages. You can always make your own kernel without fb 
support after the installation though. You can also boot the installer 
with "boot: debian-installer/framebuffer=false".

> French translation is very incomplete.
Please file separate bug reports against the different packages which 
have incomplete translations (preferably with suggested translations) if 
you want this to be fixed. If the untranslated messages were in the 
installer itself, file the bug(s) against debian-installer.

> When ejecting CD while testing integrity, it says the CD is ok.
Ok, this sounds like a bug, I've reassigned this to debian-installer

Regards,
David Härdeman



Bug reassigned from package `installation-reports' to `debian-installer'. Request was from David Härdeman <david@2gen.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from David Härdeman <david@2gen.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Bug#246948. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 246948@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: 246948@bugs.debian.org
Subject: Re: Bug#246948: Installation report
Date: Thu, 6 May 2004 09:07:51 +0200
> > Here are the MD5 checksums of the files I downloaded:
> > eb2f763d967286313bd339f781ce664d  sarge-i386-businesscard.iso
> > 52a66d5290a43e17dd0216467962bfc9  sarge-i386-netinst.iso
> > When checking CD's integrity, it says that the
> > file ./dists/sarge/main/binary-i386/Release is corrupted.
>
> It's right in complaining, the MD5 sums of 20040429 were:
> 6248f2d30f37ad0d82bd2622d0b7a7f1  sarge-i386-businesscard.iso
> 251d25b5b0aaa0d2c4c911e4047053e7  sarge-i386-netinst.iso

This is not what I see on the directory where I downloaded my files from:
http://cdimage.debian.org/pub/cdimage-testing/sarge_d-i/i386/beta4/MD5SUMS
I perhaps badly expressed myself when saying I was using 20040429. I 
downloaded beta4, which was built on 20040429, according to the help at 
beginning of installation. Sorry for that.

So the MD5 sums of my images are ok, but the integrity test still fails 
on ./dists/sarge/main/binary-i386/Release, on both images.
I compare the md5 sum of this file with what is written in md5sum.txt, at the 
root of the CD, and this file is ok. I suppose there is a path problem: I'm 
not absolutely sure about that, but when I run a shell it seems that the 
current directory is '/'
(# export
[...]
export PWD='/'
[...]
)
So ./dists/sarge/main/binary-i386/Release maybe refers 
to /dists/sarge/main/binary-i386/Release instead 
of /cdrom/dists/sarge/main/binary-i386/Release.

./dists/sarge/main/binary-i386/Release is the first file to be checked, 
according to md5sum.txt.

Running md5sum -c md5sum.txt in directory /cdrom succeed for every file on the 
the cdrom except for README.html.

I still have my problem loading libc-udeb on my computer, but it worked on two 
other.

Thanks
Nicolas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 246948@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: Nicolas Bonifas <nicolas.bonifas@free.fr>
Cc: 246948@bugs.debian.org
Subject: Re: CC: Re: Bug#246948: Installation report
Date: Thu, 6 May 2004 21:57:16 +0200
On Thu, May 06, 2004 at 09:26:38AM +0200, Nicolas Bonifas wrote:
>So the MD5 sums of my images are ok, but the integrity test still fails 

Oh, I see, then it might be a problem with a flaky CD-ROM, could you 
please boot the installer, launch a console and try to find out if DMA 
is enabled for it (something like "dmesg | grep DMA").

Unfortunately, it's not easy to test if the drive would work without DMA 
as that parameter doesn't work right now (bug 226057)

Regards,
David




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 246948@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: David Härdeman <david@2gen.com>
Cc: 246948@bugs.debian.org
Subject: Re: Bug#246948: Installation report
Date: Fri, 7 May 2004 08:57:12 +0200
> Oh, I see, then it might be a problem with a flaky CD-ROM, could you
> please boot the installer, launch a console and try to find out if DMA
> is enabled for it (something like "dmesg | grep DMA").

DMA is enabled on computers where installation succeeds (a Pentium III 733 and 
a Pentium M 1500), but not on the one where it fails.

> Unfortunately, it's not easy to test if the drive would work without DMA
> as that parameter doesn't work right now (bug 226057)

Although the symptoms are very close, I don't think I have the same problem 
since DMA is disabled on my old computer.

Moreover, it wouldn't explain why integrity test fails on all my computers. I 
do really think there is a path problem, or something related.

Thanks,
Nicolas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 246948@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: David Härdeman <david@2gen.com>
Cc: 246948@bugs.debian.org
Subject: Re: Bug#246948: Installation report
Date: Fri, 7 May 2004 16:59:48 +0200
I have another idea:
I tried to run 'md5sum -c md5sum.txt' from a d-i shell (last time, when 
checking the CD, I did it using the GNU md5sum, on my main computer). Here is 
what I got:

/cdrom # md5sum -c md5sum.txt
md5sum: -c: No such file or directory
c53f3ea0710b9e77049e9187af77baac  md5sum.txt
/cdrom #

I suppose the BusyBox md5sum included on the d-i CD is buggy.

It doesn't explain why my MMX computer can't read libc-udeb, but it maybe 
explains why integrity test fails.

Nicolas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 246948@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Nicolas Bonifas <nicolas.bonifas@free.fr>, 246948@bugs.debian.org
Subject: Re: Bug#246948: Installation report
Date: Fri, 7 May 2004 14:50:16 -0400
[Message part 1 (text/plain, inline)]
Nicolas Bonifas wrote:
> So the MD5 sums of my images are ok, but the integrity test still fails 
> on ./dists/sarge/main/binary-i386/Release, on both images.

I can reproduce this with the beta4 netinst in vmware.

md5sum -c finds a problem with the md5sum of README.html, but no other
problems. 

cdrom-checker tries to use md5sum -c, which is not supported by the build
of busybox used by d-i.

So there's a bug in busybox, and a problem with our CDs for having
README.html modified after the md5sums are created.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#246948; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 246948@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 246948@bugs.debian.org
Subject: Re: Bug#246948: Installation report
Date: Fri, 7 May 2004 21:26:48 +0200
On Friday 07 May 2004 20:50, you wrote:
> So there's a bug in busybox, and a problem with our CDs for having
> README.html modified after the md5sums are created.

I also submitted a bug for this (and another issue: undesirable mounting after 
the CD check). See #242958.

Maybe these bugreports should be merged (and fixed? ;-)

Cheers,

FJP



Bug reassigned from package `debian-installer' to `debian-cd'. Request was from Nicolas Bonifas <nicolas.bonifas@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 246948 cloned as bugs 247959, 247960. Request was from Nicolas Bonifas <nicolas.bonifas@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Nicolas Bonifas <nicolas.bonifas@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#246948; Package debian-cd. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #58 received at 246948@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 246948@bugs.debian.org
Subject: cdrom-detect DMA issues: fixed image available.
Date: Sat, 21 Aug 2004 10:23:48 +0200
Hi,

I have made a new modified RC1 netinst image which should fix all DMA
related issues when mounted CD has some flakey conditions.

RC1 it self had some fix, but this is even better.

   http://people.debian.org/~osamu/pub/

Then download sarge-i386-netinst-hacked.iso

Does this fix problem?

Can I merge this bug with:

Bug#265636: dma issues cause cdrom mount error

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Brussels Belgium, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 246948-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 218032-done@bugs.debian.org, 239078-done@bugs.debian.org, 239290-done@bugs.debian.org, 246948-done@bugs.debian.org, 248055-done@bugs.debian.org, 251825-done@bugs.debian.org
Subject: Closing old bugs
Date: Sun, 8 Oct 2006 13:35:11 +0100
[Message part 1 (text/plain, inline)]
 #218032 - Descarga CD's con jigdo
 #239078 - install: Beta3, BIOS does not boot CD
 #239290 - Can not boot the CD at all
 #246948 - No error if CD is ejected while integrity is being tested
 #248055 - missing appropriate powerpc kernel on sarge CD
 #251825 - full cd isses: missing netcfg, missing kernel for modern macs
 
d-i and debian CDs have seen lots of development (including a stable
release and several etch betas) since the last traffic on these bugs,
so I'm closing these - the reported problems should all be fixed by
now. If you're still experiencing problems, please re-open or open a
new bug against newer versions.

Thanks,
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Who needs computer imagery when you've got Brian Blessed?
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:17:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:25:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.